MessageAttachmentExpressionEvaluator (Mule ESB 2.2.1 API)
Keywords: org.mule.expression.MessageAttachmentExpressionEvaluator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.expression
Class MessageAttachmentExpressionEvaluator

    java.lang.Object
      org.mule.expression.MessageAttachmentExpressionEvaluator

All Implemented Interfaces:
  ExpressionEvaluator, NamedObject

    public class MessageAttachmentExpressionEvaluator

extends Object
implements ExpressionEvaluator

Looks up an attachment with the given name.

See Also:
  `MessageAttachmentsListExpressionEvaluator`, `MessageAttachmentsExpressionEvaluator`, `ExpressionEvaluator`, `DefaultExpressionManager`

Field Summary
`static String` | `NAME`

Constructor Summary
`MessageAttachmentExpressionEvaluator()`

Method Summary
`Object` | `evaluate(String expression, MuleMessage message)` Extracts a single property from the message
`String` | `getName()` Gets the name of the object
`void` | `setName(String name)` Sets the name of the object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### MessageAttachmentExpressionEvaluator

    public MessageAttachmentExpressionEvaluator()

Method Detail

### evaluate

    public Object evaluate(String expression,
                           MuleMessage message)

  Description copied from interface: `ExpressionEvaluator`
  Extracts a single property from the message

  Specified by:
    `evaluate` in interface `ExpressionEvaluator`
  Parameters:
    `expression` - the property expression or expression
    `message` - the message to extract from
  Returns:
    the result of the extraction or null if the property was not found

### getName

    public String getName()

  Gets the name of the object

  Specified by:
    `getName` in interface `NamedObject`
  Returns:
    the name of the object

### setName

    public void setName(String name)

  Sets the name of the object

  Specified by:
    `setName` in interface `NamedObject`
  Parameters:
    `name` - the name of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.